#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           xwaylandvideobridge
Version:        0.4.0
Release:        %mkrel %{rel}
Summary:        Utility to allow streaming Wayland windows to X applications
Group:          Graphical desktop/KDE
License:        (GPL-2.0-only or GPL-3.0-only) and LGPL-2.0-or-later and BSD-3-Clause
URL:            https://invent.kde.org/system/xwaylandvideobridge
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(KPipeWire) >= 5.27.80

BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-event)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(libpipewire-0.3)

%description
By design, X11 applications can't access window or screen contents
for wayland clients. This is fine in principle, but it breaks screen
sharing in tools like Discord, MS Teams, Skype, etc and more.

This tool allows us to share specific windows to X11 clients,
but within the control of the user at all times.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/xwaylandvideobridge.categories
%{_kf6_bindir}/xwaylandvideobridge
%{_kf6_applicationsdir}/org.kde.xwaylandvideobridge.desktop
%{_kf6_metainfodir}/org.kde.xwaylandvideobridge.appdata.xml
%{_kf6_sysconfdir}/xdg/autostart/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/xwaylandvideobridge.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Wed Dec 20 2023 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2020331
- new version: 0.4.0

* Fri Nov 24 2023 daviddavid <daviddavid> 0.3.0-1.mga10
+ Revision: 2009487
- initial package xwaylandvideobridge

